# Generated by Django 2.2.5 on 2021-11-28 09:24

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('sns_integration', '0012_auto_20211124_0039'),
    ]

    operations = [
        migrations.AlterField(
            model_name='relativeprofile',
            name='facebook_id',
            field=models.CharField(blank=True, max_length=15, null=True),
        ),
        migrations.AlterField(
            model_name='relativeprofile',
            name='instagram_id',
            field=models.CharField(blank=True, max_length=15, null=True),
        ),
        migrations.AlterField(
            model_name='relativeprofile',
            name='twitter_id',
            field=models.CharField(blank=True, max_length=19, null=True),
        ),
        migrations.CreateModel(
            name='SavedPosts',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('post_id', models.CharField(max_length=19)),
                ('sns_tag', models.CharField(choices=[('F', 'facebook'), ('I', 'insta'), ('T', 'twitter')], max_length=1)),
                ('saved_date', models.DateField(auto_now=True)),
                ('created_by', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='sns_integration.UserProfile')),
                ('relative', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='sns_integration.RelativeProfile')),
            ],
        ),
    ]
